# Form implementation generated from reading ui file 'src/eric7/CondaInterface/CondaInfoDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_CondaInfoDialog(object):
    def setupUi(self, CondaInfoDialog):
        CondaInfoDialog.setObjectName("CondaInfoDialog")
        CondaInfoDialog.resize(650, 746)
        CondaInfoDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(CondaInfoDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        spacerItem = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout.addItem(spacerItem)
        self.iconLabel = QtWidgets.QLabel(parent=CondaInfoDialog)
        self.iconLabel.setText("icon")
        self.iconLabel.setObjectName("iconLabel")
        self.horizontalLayout.addWidget(self.iconLabel)
        self.label = QtWidgets.QLabel(parent=CondaInfoDialog)
        self.label.setObjectName("label")
        self.horizontalLayout.addWidget(self.label)
        spacerItem1 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout.addItem(spacerItem1)
        self.verticalLayout.addLayout(self.horizontalLayout)
        self.gridLayout = QtWidgets.QGridLayout()
        self.gridLayout.setObjectName("gridLayout")
        self.label_3 = QtWidgets.QLabel(parent=CondaInfoDialog)
        self.label_3.setObjectName("label_3")
        self.gridLayout.addWidget(self.label_3, 0, 0, 1, 1)
        self.condaVersionLabel = QtWidgets.QLabel(parent=CondaInfoDialog)
        self.condaVersionLabel.setObjectName("condaVersionLabel")
        self.gridLayout.addWidget(self.condaVersionLabel, 0, 1, 1, 1)
        self.label_4 = QtWidgets.QLabel(parent=CondaInfoDialog)
        self.label_4.setObjectName("label_4")
        self.gridLayout.addWidget(self.label_4, 1, 0, 1, 1)
        self.condaBuildVersionLabel = QtWidgets.QLabel(parent=CondaInfoDialog)
        self.condaBuildVersionLabel.setObjectName("condaBuildVersionLabel")
        self.gridLayout.addWidget(self.condaBuildVersionLabel, 1, 1, 1, 1)
        self.label_5 = QtWidgets.QLabel(parent=CondaInfoDialog)
        self.label_5.setObjectName("label_5")
        self.gridLayout.addWidget(self.label_5, 3, 0, 1, 1)
        self.pythonVersionLabel = QtWidgets.QLabel(parent=CondaInfoDialog)
        self.pythonVersionLabel.setObjectName("pythonVersionLabel")
        self.gridLayout.addWidget(self.pythonVersionLabel, 3, 1, 1, 1)
        self.activeEnvironmentLabel = QtWidgets.QLabel(parent=CondaInfoDialog)
        self.activeEnvironmentLabel.setObjectName("activeEnvironmentLabel")
        self.gridLayout.addWidget(self.activeEnvironmentLabel, 4, 0, 1, 1)
        self.activeEnvironmentEdit = QtWidgets.QLineEdit(parent=CondaInfoDialog)
        self.activeEnvironmentEdit.setObjectName("activeEnvironmentEdit")
        self.gridLayout.addWidget(self.activeEnvironmentEdit, 4, 1, 1, 1)
        self.label_6 = QtWidgets.QLabel(parent=CondaInfoDialog)
        self.label_6.setObjectName("label_6")
        self.gridLayout.addWidget(self.label_6, 5, 0, 1, 1)
        self.userConfigEdit = QtWidgets.QLineEdit(parent=CondaInfoDialog)
        self.userConfigEdit.setObjectName("userConfigEdit")
        self.gridLayout.addWidget(self.userConfigEdit, 5, 1, 1, 1)
        self.label_17 = QtWidgets.QLabel(parent=CondaInfoDialog)
        self.label_17.setObjectName("label_17")
        self.gridLayout.addWidget(self.label_17, 6, 0, 1, 1)
        self.systemConfigEdit = QtWidgets.QLineEdit(parent=CondaInfoDialog)
        self.systemConfigEdit.setObjectName("systemConfigEdit")
        self.gridLayout.addWidget(self.systemConfigEdit, 6, 1, 1, 1)
        self.configurationsLabel = QtWidgets.QLabel(parent=CondaInfoDialog)
        self.configurationsLabel.setAlignment(QtCore.Qt.AlignmentFlag.AlignLeading|QtCore.Qt.AlignmentFlag.AlignLeft|QtCore.Qt.AlignmentFlag.AlignTop)
        self.configurationsLabel.setObjectName("configurationsLabel")
        self.gridLayout.addWidget(self.configurationsLabel, 7, 0, 1, 1)
        self.configurationsEdit = QtWidgets.QPlainTextEdit(parent=CondaInfoDialog)
        self.configurationsEdit.setObjectName("configurationsEdit")
        self.gridLayout.addWidget(self.configurationsEdit, 7, 1, 1, 1)
        self.label_8 = QtWidgets.QLabel(parent=CondaInfoDialog)
        self.label_8.setObjectName("label_8")
        self.gridLayout.addWidget(self.label_8, 8, 0, 1, 1)
        self.baseEnvironmentEdit = QtWidgets.QLineEdit(parent=CondaInfoDialog)
        self.baseEnvironmentEdit.setObjectName("baseEnvironmentEdit")
        self.gridLayout.addWidget(self.baseEnvironmentEdit, 8, 1, 1, 1)
        self.label_9 = QtWidgets.QLabel(parent=CondaInfoDialog)
        self.label_9.setAlignment(QtCore.Qt.AlignmentFlag.AlignLeading|QtCore.Qt.AlignmentFlag.AlignLeft|QtCore.Qt.AlignmentFlag.AlignTop)
        self.label_9.setObjectName("label_9")
        self.gridLayout.addWidget(self.label_9, 9, 0, 1, 1)
        self.channelsEdit = QtWidgets.QPlainTextEdit(parent=CondaInfoDialog)
        self.channelsEdit.setObjectName("channelsEdit")
        self.gridLayout.addWidget(self.channelsEdit, 9, 1, 1, 1)
        self.label_10 = QtWidgets.QLabel(parent=CondaInfoDialog)
        self.label_10.setAlignment(QtCore.Qt.AlignmentFlag.AlignLeading|QtCore.Qt.AlignmentFlag.AlignLeft|QtCore.Qt.AlignmentFlag.AlignTop)
        self.label_10.setObjectName("label_10")
        self.gridLayout.addWidget(self.label_10, 10, 0, 1, 1)
        self.cachesEdit = QtWidgets.QPlainTextEdit(parent=CondaInfoDialog)
        self.cachesEdit.setObjectName("cachesEdit")
        self.gridLayout.addWidget(self.cachesEdit, 10, 1, 1, 1)
        self.label_11 = QtWidgets.QLabel(parent=CondaInfoDialog)
        self.label_11.setAlignment(QtCore.Qt.AlignmentFlag.AlignLeading|QtCore.Qt.AlignmentFlag.AlignLeft|QtCore.Qt.AlignmentFlag.AlignTop)
        self.label_11.setObjectName("label_11")
        self.gridLayout.addWidget(self.label_11, 11, 0, 1, 1)
        self.envDirsEdit = QtWidgets.QPlainTextEdit(parent=CondaInfoDialog)
        self.envDirsEdit.setObjectName("envDirsEdit")
        self.gridLayout.addWidget(self.envDirsEdit, 11, 1, 1, 1)
        self.label_12 = QtWidgets.QLabel(parent=CondaInfoDialog)
        self.label_12.setObjectName("label_12")
        self.gridLayout.addWidget(self.label_12, 12, 0, 1, 1)
        self.platformLabel = QtWidgets.QLabel(parent=CondaInfoDialog)
        self.platformLabel.setObjectName("platformLabel")
        self.gridLayout.addWidget(self.platformLabel, 12, 1, 1, 1)
        self.useragentLabel = QtWidgets.QLabel(parent=CondaInfoDialog)
        self.useragentLabel.setObjectName("useragentLabel")
        self.gridLayout.addWidget(self.useragentLabel, 13, 0, 1, 1)
        self.useragentEdit = QtWidgets.QLineEdit(parent=CondaInfoDialog)
        self.useragentEdit.setObjectName("useragentEdit")
        self.gridLayout.addWidget(self.useragentEdit, 13, 1, 1, 1)
        self.uidGidLabel = QtWidgets.QLabel(parent=CondaInfoDialog)
        self.uidGidLabel.setObjectName("uidGidLabel")
        self.gridLayout.addWidget(self.uidGidLabel, 14, 0, 1, 1)
        self.uidGidDataLabel = QtWidgets.QLabel(parent=CondaInfoDialog)
        self.uidGidDataLabel.setObjectName("uidGidDataLabel")
        self.gridLayout.addWidget(self.uidGidDataLabel, 14, 1, 1, 1)
        self.netrcLabel = QtWidgets.QLabel(parent=CondaInfoDialog)
        self.netrcLabel.setObjectName("netrcLabel")
        self.gridLayout.addWidget(self.netrcLabel, 15, 0, 1, 1)
        self.netrcEdit = QtWidgets.QLineEdit(parent=CondaInfoDialog)
        self.netrcEdit.setObjectName("netrcEdit")
        self.gridLayout.addWidget(self.netrcEdit, 15, 1, 1, 1)
        self.label_16 = QtWidgets.QLabel(parent=CondaInfoDialog)
        self.label_16.setObjectName("label_16")
        self.gridLayout.addWidget(self.label_16, 16, 0, 1, 1)
        self.offlineCheckBox = QtWidgets.QCheckBox(parent=CondaInfoDialog)
        self.offlineCheckBox.setText("")
        self.offlineCheckBox.setObjectName("offlineCheckBox")
        self.gridLayout.addWidget(self.offlineCheckBox, 16, 1, 1, 1)
        self.label_18 = QtWidgets.QLabel(parent=CondaInfoDialog)
        self.label_18.setObjectName("label_18")
        self.gridLayout.addWidget(self.label_18, 2, 0, 1, 1)
        self.condaEnvVersionLabel = QtWidgets.QLabel(parent=CondaInfoDialog)
        self.condaEnvVersionLabel.setObjectName("condaEnvVersionLabel")
        self.gridLayout.addWidget(self.condaEnvVersionLabel, 2, 1, 1, 1)
        self.verticalLayout.addLayout(self.gridLayout)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=CondaInfoDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(CondaInfoDialog)
        self.buttonBox.accepted.connect(CondaInfoDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(CondaInfoDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(CondaInfoDialog)

    def retranslateUi(self, CondaInfoDialog):
        _translate = QtCore.QCoreApplication.translate
        CondaInfoDialog.setWindowTitle(_translate("CondaInfoDialog", "Conda Information"))
        self.label.setText(_translate("CondaInfoDialog", "<h2>Conda Information</h2>"))
        self.label_3.setText(_translate("CondaInfoDialog", "conda Version:"))
        self.label_4.setText(_translate("CondaInfoDialog", "conda-build Version:"))
        self.label_5.setText(_translate("CondaInfoDialog", "python Version:"))
        self.activeEnvironmentLabel.setText(_translate("CondaInfoDialog", "Active Environment:"))
        self.label_6.setText(_translate("CondaInfoDialog", "User Configuration:"))
        self.label_17.setText(_translate("CondaInfoDialog", "System Configuration:"))
        self.configurationsLabel.setText(_translate("CondaInfoDialog", "Populated Configurations:"))
        self.label_8.setText(_translate("CondaInfoDialog", "Base Environment:"))
        self.label_9.setText(_translate("CondaInfoDialog", "Channel URLs:"))
        self.label_10.setText(_translate("CondaInfoDialog", "Package Cache:"))
        self.label_11.setText(_translate("CondaInfoDialog", "Environment Directories:"))
        self.label_12.setText(_translate("CondaInfoDialog", "Platform:"))
        self.useragentLabel.setText(_translate("CondaInfoDialog", "User-Agent:"))
        self.uidGidLabel.setText(_translate("CondaInfoDialog", "UID:GID:"))
        self.netrcLabel.setText(_translate("CondaInfoDialog", "netrc File:"))
        self.label_16.setText(_translate("CondaInfoDialog", "Offline Mode:"))
        self.label_18.setText(_translate("CondaInfoDialog", "conda-env Version:"))
